Bug 140561 - don't clear all form values on invalid input
Summary: don't clear all form values on invalid input
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer   
(Show other bugs)
Version: 360
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Max Spevack
URL: http://rhnblade4.rhndev.redhat.com/in...
Whiteboard:
Keywords:
Depends On:
Blocks: rhn360sat
TreeView+ depends on / blocked
 
Reported: 2004-11-23 16:56 UTC by Max Spevack
Modified: 2007-08-06 15:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 17:37:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Max Spevack 2004-11-23 16:56:31 UTC
Description of problem:

On the SSL generation page, I had filled in about half of it, and I
hit enter by mistake.  It correctly complains that I need to fill out
all text boxes, but then it erases all of the ones that I filled in.

Leave the stuff that's already there please!

Version-Release number of selected component (if applicable):
-61 ISO

Comment 1 Robin Norwood 2004-12-01 22:29:54 UTC
Fixed in CVS.  Now the old input should be preservered, except for the
passwords - there is a small security issue if we populate the
password field(s).

Comment 2 Robin Norwood 2004-12-02 21:39:35 UTC
On QA/next satellite build. (>= 71)

Comment 3 Max Spevack 2004-12-03 20:23:18 UTC
Fixed.

Comment 4 Todd Warner 2005-03-22 17:37:20 UTC
Mass move from PROD_READY to CLOSED:CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.